<div class="msg-pop">
  <div>
    <h3>Online History</h3>
  </div>
</div>
<div>

    <table aria-describedby="Manage Company" class="table table-bordered" *ngIf="Shiftlength>0">
      <thead>
      <th scope="col">Driver Name</th>
      <th scope="col">Online Start Time</th>
      <th scope="col">Online End Time</th>
      </thead>
      <tbody>
      <tr *ngFor="let shift of ShiftData">
        <td>{{shift.driver_id.username}} </td>
        <td> {{shift.shift_start | date:'yyyy-MM-dd HH:mm'}}</td>
        <td>{{shift.shift_end | date:'yyyy-MM-dd HH:mm'}}</td>
      </tr>

      </tbody>
    </table>

    <div class="container-fluid" *ngIf="Shiftlength>0">
      <div class="row">
        <div class="dataTables_info1">
          <div class="col-md-12 text-center">
            <ngb-pagination [collectionSize]="Shiftlength" (pageChange)="pagingAgent($event)" [page]="1" [pageSize]="pageSize"
                            aria-label="Default pagination" [maxSize]="5" [boundaryLinks]="true"></ngb-pagination>
          </div>
        </div>
      </div>
    </div>

    <div class="container-fluid" *ngIf="Shiftlength==0">
      <div class="row">
        <div class="dataTables_info1">
          <div class="col-md-4 form-group" style="text-align:center;margin-left:32%">
            No records found
          </div>
        </div>
      </div>
    </div>

    <div class="pop-btn text-right">
      <input class="btn btn-sm btn-primary red" value="Close" type="button" (click)="closePop()">

    </div>
    </div>




